require "hw_cheker/version"
require 'active_support/core_ext/hash'
require 'hw_cheker/base'
require 'hw_cheker/file_scan'
require 'hw_cheker/zip'
require 'hw_cheker/test_run'
require 'hw_cheker/ruby_test_run'
require 'hw_cheker/python_test_run'

module HwCheker
  # Your code goes here...
  module HomeWorkChecker
    FILE_TYPES = {
      '.7z' => '',
      '.zip' => ''
    }
    LANGUAGE_TYPES = {
      '.rb' => "TestRun::RubyTestRun",
      '.py' => "TestRun::PythonTestRun"
    }
  end
  class StatusControl
    include HomeWorkChecker
    def check path
      @t = HomeWorkChecker::Base.new(path)
      @t.start
    end

    def scan_only path
      @t = HomeWorkChecker::FileScan.new(path)
      @t.files
    end
  end
end
